View Issue Details

IDProjectCategoryView StatusLast Update
0014101MediaMonkey 5Synchronizationpublic2020-07-24 11:03
Reporterpeke Assigned To 
PriorityurgentSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Fixed in Version5.0 
Summary0014101: Sync: New device Detected Sync wizard
DescriptionUnlike MMA where when you first time initiate Sync over WiFi MMA show you the steps of setting up sync settings and what files should be synced.

That doesn't exist in Desktop Version we should create such wizard in order to make user experience more fluent and consistent with MMA.
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?p=440985#p440985
TagsNo tags attached.
Fixed in build

Relationships

related to 0015402 closedLudek Sync: tweak and changes to device sync behavior 
related to 0016125 closedLudek Duplicate device profile can be created when the device is in unreadable state 

Activities

rusty

2019-12-11 03:19

administrator   ~0055641

I'm not sure that a wizard is realistic, but I tested out a couple of basic usecases to see what would happen / what low-cost improvements could be made:

1) Run MMW and plug in a 'clean' (no MMA) Samsung S7 (Android 9)
--> Device is connected in 'Transfer files' mode
BUT
A) --> MMW fails to recognize/display the device (this only happened when the device was first connected to the machine--it stopped once MMA was installed to the device and reconnected)! This is probably a one-time issue, but at this point, most Android users wouldn't know what to do. Should the various sections be prefaced for clarity? e.g.
i) Devices section:
MediaMonkey can sync to Android Devices, iPhones, iPods, and USB storage devices. If you'd like to sync to an Android device, first install MediaMonkey for Android to the Device, run it and press 'Sync'. For other devices, plug in the device and select it to sync.
ii) 'Storage & Services' section:
MediaMonkey can sync content with local and cloud storage. Click the '+' button to add a storage location. Once added, remote content can be accessed via the newly created node or scanned into the local database (and optionally downloaded) so that it is accessed / played as if it were local.
iii) Media Servers section:
MediaMonkey can browse content on UPnP / DLNA servers from here. Servers are usually automatically detected, but they can be added manually as well.

---

Another possible approach (though I'm not sure how realistic it is) would be to handhold the users via a dialog that appears superimposed on the device profile when a new device is detected.

Device Sync Walkthrough
------------------------
Select sync device:
( ) Android
( ) iPhone, iPod, USB Storage device
Next

Device Sync Walkthrough (iPhone, iPod, USB Storage)
----------------------------------------------------
1) Plug in the device.
2) Select the device in MediaMonkey
3) Choose which tracks to sync (in the second tab).
4) Optionally configure other items.
5) Click 'Sync'.

Device Sync Walkthrough (Android)
----------------------------------------------------------
1) Install MediaMonkey for Android. Run it and click 'Sync'.
2) Choose the machine you're syncing with and choose which tracks to sync.
3) Optionally configure other items.
4) Click 'Sync'

--


On subsequent attempts to plug in the device
--> Device is connected in 'Transfer files' mode, but the device pop-up doesn't appear!
B) Should the pop-up notification appear in this case? BUT if it does, then the user will sync to a device that doesn't have the requisite MMA sync files installed--so I'm not sure how to prevent that. Perhaps change the following to encourage users to install MMA:
'Grant remote sync/access rights to the MediaMonkey Library' -- Requires MediaMonkey for Android -->
'Grant remote sync/access to the MediaMonkey Library). First install MediaMonkey for Android & click Sync.


2) Run MMA on a device (or Run MMA on a device and sync) and then plug it in
--> Device is connected in 'Transfer files' mode
--> MMW detects the device, but there's no visible feedback as to where the device is! i.e. the Pop-up doesn't appear and the new user has to navigate to Devices & Services > Galaxy S7!
C) The Pop-up should appear OR there should be other visible feedback so that the user doesn't have to manually navigate / figure out where the device is located.

D) One other change for intuitiveness:
Change 'Choose which files to keep synced:' --> 'Choose which files to sync with 'DeviceName'':

Ludek

2019-12-11 14:10

developer   ~0055647

Last edited: 2019-12-11 16:52

View 7 revisions

This issue has been solved in course of fixing 0015402
i.e. there is toast message shown
"Connected: device name [Configure...]"
on each device connection for 15 seconds.
Clicking the [Configure...] brings you to the device profile -- so there is no need for a wizard IMO.
If any, we could just add an explanation/descriptive text to the Summary page of the device profile?

Bu it is possible that later it was somehow supressed for the devices not in the "Transfer files" mode to prevent from creation of duplicate profiles ( 0016125 )
Nevertheless once the device is changed to "Transfer files" the popup message should show up!!
It should be fixed (if that's not the case currently)...

Ludek

2019-12-11 16:50

developer   ~0055649

Testing it with my Android device (LG G6) and once I enable the "File transfer" on the phone then the notification toast popup is shown correctly for me.
 "Connected: G6 [Configure...]"

But at one occasion I got dialog "'The USB media transfer process is having trouble connecting to G6. Please disconnect your device and reboot it. If the problem recurs, please use Wi-Fi Sync instead.'"
This is the dialog from 0016125 / 0016125 preventing the duplicate profile creation whenever MM5 cannot read the storageInfo.xml
Maybe we should change the wording of this dialog and ask user to enable the "File transfer" usb mode on the phone and add the [Retry] button?

Are you sure that in your case there was no toast and no dialog when you enabled "file transfer" mode? If that is the case then please generate debug log.

rusty

2020-01-21 15:57

administrator   ~0056084

I retested with 2221 and the fix from 0015402 is working fine. I'm not sure what the issue was on previous tests. Resolving as fixed.

peke

2020-07-24 11:03

developer   ~0059102

Verified 2261

This is working normally as designed.

Test Note: Use clean portable installation so that every connected device shows configure notification.